package com.ruoyi.web.v2.v1.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.model.JsTraining;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * v2.0员工培训 服务类
 * </p>
 *
 * @author author
 * @since 2025-06-19
 */
public interface IJsTrainingService extends IService<JsTraining> {

    AjaxResult add(JsTraining jsTraining);

    AjaxResult edit(JsTraining jsTraining);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String startTime, String endTime);

    AjaxResult listAll();
}
